using ASHermed.SinoInterface.Api.ContractModel.App;
using ASHermed.SinoInterface.Api.ContractModel.Framework.Login;
using ASHermed.SinoInterface.Tools;
using PoJun.Util.Helpers;
using System;
using System.Collections.Generic;
using System.Text;

namespace ASHermed.SinoInterface.Api.Service
{
    /// <summary>
	/// 基础服务
	/// 创建人：杨江军
	/// 创建时间：2020/4/10 9:58:36
	/// </summary>
	public class BaseService
    {
        #region 获取当前登录用户信息

        /// <summary>
        /// 获取当前登录用户信息
        /// </summary>
        /// <returns></returns>
        public static Pub_User_Info GetBaseUserInfo()
        {
            if (MyHttpContext.Current == null || MyHttpContext.Current.Request == null || MyHttpContext.Current.Request.Headers == null)
                return null;
            if (MyHttpContext.Current.Request.Headers.ContainsKey(nameof(APILogConfig.LoginUserInfo)))
                return Newtonsoft.Json.JsonConvert.DeserializeObject<Pub_User_Info>(MyHttpContext.Current.Request.Headers[nameof(APILogConfig.LoginUserInfo)].ToString());
            return null;
        }

        #endregion
    }
}
